Categories:
  - Internet
License: GPL-2.0-only
SourceCode: https://github.com/juha-h/baresip-studio
IssueTracker: https://github.com/juha-h/baresip-studio/issues
Translation: https://hosted.weblate.org/projects/baresip/

AutoName: baresip+

RepoType: git
Repo: https://github.com/juha-h/baresip-studio.git

Builds:
  - versionName: 1.0.0
    versionCode: 1
    commit: v1.0.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v1.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21b

  - versionName: 1.1.0
    versionCode: 2
    commit: v1.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends -t testing nasm
    gradle:
      - yes
    srclibs:
      - libbaresip-android@v2.0
    build:
      - pushd $$libbaresip-android$$
      - sed -i -e 's|/opt/Android/Sdk/ndk-bundle|$$NDK$$|' -e 's|/usr/src/baresip-studio|../../com.tutpro.baresip.plus|'
        Makefile
      - make download-sources
      - make install-all
      - popd
    ndk: r21b

MaintainerNotes: make download-sources checks out master branches of several libraries;
    this can cause build failures.

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags v.*[0-9]$
CurrentVersion: 1.1.0
CurrentVersionCode: 2
